<style type="text/css" media="screen">
	body{
		margin: 0;
		padding: 0;
		background-color: #A2A7B4;
		font-family: Tahoma;
	}
	#contenedor{
		width: 300px;
		margin: 0 auto;
	}
	.titulo,a{
		text-transform: capitalize;
	}
	.titulo{
		color: #E4E4E4;
		font-size:20px;
		font-weight:bold;
		padding:8px 0;
	}
	a{
		margin: 2px 0 0 8px;
		font-size: 16px;
		text-decoration: none;
		color: #B30A0A;
		font-weight: bold;
		letter-spacing: 2px;
	}
	a:hover{
		text-decoration: underline;
	}
</style>
<?php
function directorio($dirOrigen,$dir){
	$directorio=dir($dir);
	echo '<div class="titulo">'.str_replace(array(dirname(__FILE__),'/'),'',$dir).'</div>';
	while($archivo = $directorio->read()){
		if(preg_match('#^[\w\-]+\.php$#', $archivo)==1 && $archivo!='directorio.php'){
			$pagina = str_replace('.php', '', $archivo);
			$url = substr(base,0,strlen(base)-1).str_replace(dirname(__FILE__),'',$dir);
			echo '<a href="'.$url.'/'.$pagina.'" target="_BLANK">'.$pagina.'</a><br>';
		}elseif(preg_match('#^[\w\-]+$#', $archivo)==1){
			directorio($dirOrigen,$dir.'/'.$archivo);
		}
	}
	echo '<br>';
	$directorio->close();
}
$path=dirname(__FILE__);
echo '<div id="contenedor">';
directorio($path,$path);
echo '</div>';
?>